### Struct

# FwupdPlugin UsbDfuDescriptorHdr

#### Description

    struct FuUsbDfuDescriptorHdr {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_usb_dfu_descriptor_hdr_parse_bytes

No description available.

#### Instance methods

###### fu_usb_dfu_descriptor_hdr_get_attributes

No description available.

###### fu_usb_dfu_descriptor_hdr_get_detach_timeout

No description available.

###### fu_usb_dfu_descriptor_hdr_get_dfu_version

No description available.

###### fu_usb_dfu_descriptor_hdr_get_length

No description available.

###### fu_usb_dfu_descriptor_hdr_get_transfer_size

No description available.

###### fu_usb_dfu_descriptor_hdr_ref

No description available.

###### fu_usb_dfu_descriptor_hdr_unref

No description available.